Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Stop sending a topic to a destination (emptied binding is removed)

DELETE/topics/{topic_id}/destinations/{destination_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
topic_idstringrequired
destination_idstringrequired
Responses
200

Successful Response

Any of:
TopicDestinationLink
binding_idstringrequired
source_idstringrequired
destination_idstringrequired
destination_namestringrequired
destination_connectorstringrequired
topic_idsstring[]required
managedboolean
default: true
object
object
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X DELETE 'https://api.streamkap.com/topics/string/destinations/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "binding_id": "string",
  "source_id": "string",
  "destination_id": "string",
  "destination_name": "string",
  "destination_connector": "string",
  "topic_ids": [
    "string"
  ],
  "managed": true
}